/workday-business-process | Type: Application | PCID required: Yes
Tools
| Tool | Description |
|---|---|
workday_business_process_get_events | Retrieves business process events. |
workday_business_process_get_events_by_id | Retrieves a business process event. |
workday_business_process_get_events_by_id_attachments | Retrieves attachments for a business process event. |
workday_business_process_get_events_by_id_comments | Retrieves comments for a business process event. |
workday_business_process_get_events_by_id_completedsteps | Retrieves completed steps for a business process event. |
workday_business_process_get_events_by_id_inprogresssteps | Retrieves in progress steps for a business process event. |
workday_business_process_get_events_by_id_remainingsteps | Retrieves remaining steps for a business process event. |
workday_business_process_get_eventsteps | Retrieves business process event steps. |
workday_business_process_get_eventsteps_by_id | Retrieves a business process event step. |
workday_business_process_get_types | Retrieves all business process types. |
workday_business_process_get_types_by_id | Retrieves a business process type. |
workday_business_process_get_types_by_id_attachmentcategories | Retrieves attachment categories for a business process type. |
workday_business_process_get_values_sendback_to | Retrieves instances that can be used as values for other endpoint parameters in this service. <b>Secured by:</b> Public Business Processes <b>Scope:</b> Tenant Non-Configurable |
workday_business_process_post_events_by_id_cancel | Cancels a business process event. |
workday_business_process_post_events_by_id_rescind | Rescinds a business process event. |
workday_business_process_post_eventsteps_by_id_approve | Approves a business process event step. |
workday_business_process_post_eventsteps_by_id_deny | Denies a business process event step. |
workday_business_process_post_eventsteps_by_id_questionnaire | Post an action for a Complete Questionnaire step in a business process. |
workday_business_process_post_eventsteps_by_id_sendback | Sends back a business process event step. |
workday_business_process_post_eventsteps_by_id_todo | Post an action for a To Do step in a business process. |
workday_business_process_get_events
Retrieves business process events. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
businessProcess | string[] | No | — | Business Process |
completedOnOrAfter | string | No | — | Completed On Or After |
completedOnOrBefore | string | No | — | Completed On Or Before |
initiatedOnOrAfter | string | No | — | Initiated On Or After |
initiatedOnOrBefore | string | No | — | Initiated On Or Before |
initiator | string[] | No | — | The initiator value |
limit | integer | No | — | The maximum number of objects in a single response. The default is 20. The maximum is 100. |
offset | integer | No | — | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
status | string[] | No | — | The status value |
worker | string | No | — | The worker value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"businessProcess": {
"type": "array",
"items": {
"type": "string"
},
"description": "Business Process"
},
"completedOnOrAfter": {
"type": "string",
"description": "Completed On Or After"
},
"completedOnOrBefore": {
"type": "string",
"description": "Completed On Or Before"
},
"initiatedOnOrAfter": {
"type": "string",
"description": "Initiated On Or After"
},
"initiatedOnOrBefore": {
"type": "string",
"description": "Initiated On Or Before"
},
"initiator": {
"type": "array",
"items": {
"type": "string"
},
"description": "The initiator value"
},
"limit": {
"type": "integer",
"description": "The maximum number of objects in a single response. The default is 20. The maximum is 100."
},
"offset": {
"type": "integer",
"description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object."
},
"status": {
"type": "array",
"items": {
"type": "string"
},
"description": "The status value"
},
"worker": {
"type": "string",
"description": "The worker value"
}
},
"required": [
"PCID"
]
}
workday_business_process_get_events_by_id
Retrieves a business process event. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The Workday ID of the resource. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"ID": {
"type": "string",
"description": "The Workday ID of the resource."
}
},
"required": [
"PCID",
"ID"
]
}
workday_business_process_get_events_by_id_attachments
Retrieves attachments for a business process event. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The Workday ID of the resource. |
limit | integer | No | — | The maximum number of objects in a single response. The default is 20. The maximum is 100. |
offset | integer | No | — | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"ID": {
"type": "string",
"description": "The Workday ID of the resource."
},
"limit": {
"type": "integer",
"description": "The maximum number of objects in a single response. The default is 20. The maximum is 100."
},
"offset": {
"type": "integer",
"description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object."
}
},
"required": [
"PCID",
"ID"
]
}
workday_business_process_get_events_by_id_comments
Retrieves comments for a business process event. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The Workday ID of the resource. |
limit | integer | No | — | The maximum number of objects in a single response. The default is 20. The maximum is 100. |
offset | integer | No | — | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"ID": {
"type": "string",
"description": "The Workday ID of the resource."
},
"limit": {
"type": "integer",
"description": "The maximum number of objects in a single response. The default is 20. The maximum is 100."
},
"offset": {
"type": "integer",
"description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object."
}
},
"required": [
"PCID",
"ID"
]
}
workday_business_process_get_events_by_id_completedsteps
Retrieves completed steps for a business process event. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The Workday ID of the resource. |
limit | integer | No | — | The maximum number of objects in a single response. The default is 20. The maximum is 100. |
offset | integer | No | — | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"ID": {
"type": "string",
"description": "The Workday ID of the resource."
},
"limit": {
"type": "integer",
"description": "The maximum number of objects in a single response. The default is 20. The maximum is 100."
},
"offset": {
"type": "integer",
"description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object."
}
},
"required": [
"PCID",
"ID"
]
}
workday_business_process_get_events_by_id_inprogresssteps
Retrieves in progress steps for a business process event. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The Workday ID of the resource. |
limit | integer | No | — | The maximum number of objects in a single response. The default is 20. The maximum is 100. |
offset | integer | No | — | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"ID": {
"type": "string",
"description": "The Workday ID of the resource."
},
"limit": {
"type": "integer",
"description": "The maximum number of objects in a single response. The default is 20. The maximum is 100."
},
"offset": {
"type": "integer",
"description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object."
}
},
"required": [
"PCID",
"ID"
]
}
workday_business_process_get_events_by_id_remainingsteps
Retrieves remaining steps for a business process event. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The Workday ID of the resource. |
limit | integer | No | — | The maximum number of objects in a single response. The default is 20. The maximum is 100. |
offset | integer | No | — | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"ID": {
"type": "string",
"description": "The Workday ID of the resource."
},
"limit": {
"type": "integer",
"description": "The maximum number of objects in a single response. The default is 20. The maximum is 100."
},
"offset": {
"type": "integer",
"description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object."
}
},
"required": [
"PCID",
"ID"
]
}
workday_business_process_get_eventsteps
Retrieves business process event steps. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
businessProcess | string[] | No | — | Business Process |
createdOnOrAfter | string | No | — | Created On Or After |
createdOnOrBefore | string | No | — | Created On Or Before |
dueDateOnOrAfter | string | No | — | Due Date On Or After |
dueDateOnOrBefore | string | No | — | Due Date On Or Before |
limit | integer | No | — | The maximum number of objects in a single response. The default is 20. The maximum is 100. |
offset | integer | No | — | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
stepType | string[] | No | — | Step Type |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"businessProcess": {
"type": "array",
"items": {
"type": "string"
},
"description": "Business Process"
},
"createdOnOrAfter": {
"type": "string",
"description": "Created On Or After"
},
"createdOnOrBefore": {
"type": "string",
"description": "Created On Or Before"
},
"dueDateOnOrAfter": {
"type": "string",
"description": "Due Date On Or After"
},
"dueDateOnOrBefore": {
"type": "string",
"description": "Due Date On Or Before"
},
"limit": {
"type": "integer",
"description": "The maximum number of objects in a single response. The default is 20. The maximum is 100."
},
"offset": {
"type": "integer",
"description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object."
},
"stepType": {
"type": "array",
"items": {
"type": "string"
},
"description": "Step Type"
}
},
"required": [
"PCID"
]
}
workday_business_process_get_eventsteps_by_id
Retrieves a business process event step. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The Workday ID of the resource. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"ID": {
"type": "string",
"description": "The Workday ID of the resource."
}
},
"required": [
"PCID",
"ID"
]
}
workday_business_process_get_types
Retrieves all business process types. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | integer | No | — | The maximum number of objects in a single response. The default is 20. The maximum is 100. |
offset | integer | No | — | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"limit": {
"type": "integer",
"description": "The maximum number of objects in a single response. The default is 20. The maximum is 100."
},
"offset": {
"type": "integer",
"description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object."
}
},
"required": [
"PCID"
]
}
workday_business_process_get_types_by_id
Retrieves a business process type. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The Workday ID of the resource. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"ID": {
"type": "string",
"description": "The Workday ID of the resource."
}
},
"required": [
"PCID",
"ID"
]
}
workday_business_process_get_types_by_id_attachmentcategories
Retrieves attachment categories for a business process type. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The Workday ID of the resource. |
eventTarget | string | No | — | The Workday ID of the event target that this business process is about. You can use a returned id from an API that returns instances of the event target type. For example, if your event target is a worker, use GET /workers in the Staffing service. |
limit | integer | No | — | The maximum number of objects in a single response. The default is 20. The maximum is 100. |
offset | integer | No | — | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"ID": {
"type": "string",
"description": "The Workday ID of the resource."
},
"eventTarget": {
"type": "string",
"description": "The Workday ID of the event target that this business process is about. You can use a returned id from an API that returns instances of the event target type. For example, if your event target is a worker, use GET /workers in the Staffing service."
},
"limit": {
"type": "integer",
"description": "The maximum number of objects in a single response. The default is 20. The maximum is 100."
},
"offset": {
"type": "integer",
"description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object."
}
},
"required": [
"PCID",
"ID"
]
}
workday_business_process_get_values_sendback_to
Retrieves instances that can be used as values for other endpoint parameters in this service. <b>Secured by:</b> Public Business Processes <b>Scope:</b> Tenant Non-Configurable Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
eventStep | string | No | — | Event Step |
limit | integer | No | — | The maximum number of objects in a single response. The default and maximum is 1000. |
offset | integer | No | — | The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object. |
search | string | No | — | A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"eventStep": {
"type": "string",
"description": "Event Step"
},
"limit": {
"type": "integer",
"description": "The maximum number of objects in a single response. The default and maximum is 1000."
},
"offset": {
"type": "integer",
"description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object."
},
"search": {
"type": "string",
"description": "A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string."
}
},
"required": [
"PCID"
]
}
workday_business_process_post_events_by_id_cancel
Cancels a business process event. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The Workday ID of the resource. |
comment | string | No | — | The comment value |
descriptor | string | No | — | The display name of the instance |
id | string | No | — | Workday Id or Reference Id of the instance. |
status | string | No | — | The status value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"ID": {
"type": "string",
"description": "The Workday ID of the resource."
},
"comment": {
"type": "string",
"description": "The comment value"
},
"descriptor": {
"type": "string",
"description": "The display name of the instance"
},
"id": {
"type": "string",
"description": "Workday Id or Reference Id of the instance."
},
"status": {
"type": "string",
"description": "The status value"
}
},
"required": [
"PCID",
"ID"
]
}
workday_business_process_post_events_by_id_rescind
Rescinds a business process event. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The Workday ID of the resource. |
comment | string | No | — | The comment value |
descriptor | string | No | — | The display name of the instance |
id | string | No | — | Workday Id or Reference Id of the instance. |
status | string | No | — | The status value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"ID": {
"type": "string",
"description": "The Workday ID of the resource."
},
"comment": {
"type": "string",
"description": "The comment value"
},
"descriptor": {
"type": "string",
"description": "The display name of the instance"
},
"id": {
"type": "string",
"description": "Workday Id or Reference Id of the instance."
},
"status": {
"type": "string",
"description": "The status value"
}
},
"required": [
"PCID",
"ID"
]
}
workday_business_process_post_eventsteps_by_id_approve
Approves a business process event step. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The Workday ID of the resource. |
comment | string | No | — | Returns user’s comment for Event Record. |
descriptor | string | No | — | The display name of the instance |
eventStatus | object | No | — | Returns the Workflow State of the current Action Event |
id | string | No | — | Workday Id or Reference Id of the instance. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"ID": {
"type": "string",
"description": "The Workday ID of the resource."
},
"comment": {
"type": "string",
"description": "Returns user's comment for Event Record."
},
"descriptor": {
"type": "string",
"description": "The display name of the instance"
},
"eventStatus": {
"description": "Returns the Workflow State of the current Action Event"
},
"id": {
"type": "string",
"description": "Workday Id or Reference Id of the instance."
}
},
"required": [
"PCID",
"ID"
]
}
workday_business_process_post_eventsteps_by_id_deny
Denies a business process event step. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The Workday ID of the resource. |
comment | string | No | — | Returns user’s comment for Event Record. |
descriptor | string | No | — | The display name of the instance |
eventStatus | object | No | — | Returns the Workflow State of the current Action Event |
id | string | No | — | Workday Id or Reference Id of the instance. |
stepAction | object | No | — | The status of this business process step. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"ID": {
"type": "string",
"description": "The Workday ID of the resource."
},
"comment": {
"type": "string",
"description": "Returns user's comment for Event Record."
},
"descriptor": {
"type": "string",
"description": "The display name of the instance"
},
"eventStatus": {
"description": "Returns the Workflow State of the current Action Event"
},
"id": {
"type": "string",
"description": "Workday Id or Reference Id of the instance."
},
"stepAction": {
"description": "The status of this business process step."
}
},
"required": [
"PCID",
"ID"
]
}
workday_business_process_post_eventsteps_by_id_questionnaire
Post an action for a Complete Questionnaire step in a business process. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The Workday ID of the resource. |
descriptor | string | No | — | The display name of the instance |
id | string | No | — | Workday Id or Reference Id of the instance. |
questionnaireResponse | object | No | — | Questionnaire Response |
stepAction | object | No | — | The status of the step |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"ID": {
"type": "string",
"description": "The Workday ID of the resource."
},
"descriptor": {
"type": "string",
"description": "The display name of the instance"
},
"id": {
"type": "string",
"description": "Workday Id or Reference Id of the instance."
},
"questionnaireResponse": {
"description": "Questionnaire Response"
},
"stepAction": {
"description": "The status of the step"
}
},
"required": [
"PCID",
"ID"
]
}
workday_business_process_post_eventsteps_by_id_sendback
Sends back a business process event step. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The Workday ID of the resource. |
descriptor | string | No | — | The display name of the instance |
id | string | No | — | Workday Id or Reference Id of the instance. |
reason | string | Yes | — | Returns user’s comment for Event Record. |
status | object | No | — | The status of this business process step. |
to | object | Yes | — | a set containing no instances |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"ID": {
"type": "string",
"description": "The Workday ID of the resource."
},
"descriptor": {
"type": "string",
"description": "The display name of the instance"
},
"id": {
"type": "string",
"description": "Workday Id or Reference Id of the instance."
},
"reason": {
"type": "string",
"description": "Returns user's comment for Event Record."
},
"status": {
"description": "The status of this business process step."
},
"to": {
"description": "a set containing no instances"
}
},
"required": [
"PCID",
"ID",
"reason",
"to"
]
}
workday_business_process_post_eventsteps_by_id_todo
Post an action for a To Do step in a business process. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ID | string | Yes | — | The Workday ID of the resource. |
comment | string | No | — | Last Comment |
descriptor | string | No | — | The display name of the instance |
id | string | No | — | Workday Id or Reference Id of the instance. |
stepAction | object | Yes | — | The status of the step |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"ID": {
"type": "string",
"description": "The Workday ID of the resource."
},
"comment": {
"type": "string",
"description": "Last Comment"
},
"descriptor": {
"type": "string",
"description": "The display name of the instance"
},
"id": {
"type": "string",
"description": "Workday Id or Reference Id of the instance."
},
"stepAction": {
"description": "The status of the step"
}
},
"required": [
"PCID",
"ID",
"stepAction"
]
}

